> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List available datasets

> Returns the list of datasets available for chat and insights.



## OpenAPI

````yaml get /v1/spark-api/datasets
openapi: 3.0.0
info:
  title: SPARK API
  description: Spark REST API.
  version: 1.0.0
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v1/spark-api/datasets:
    get:
      tags:
        - Datasets
      summary: List available datasets
      description: Returns the list of datasets available for chat and insights.
      operationId: listDatasets
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetListItem'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DatasetListItem:
      type: object
      description: The item in the dataset list.
      properties:
        code:
          type: string
          description: The code of the dataset.
        name:
          type: string
          description: The name of the dataset.
        description:
          type: string
          description: The description of the dataset.
        url:
          type: string
          description: The URL to the dataset details.
      example:
        code: ds-core
        name: GWI Core
        description: >-
          Our primary data set on the attitudes and behaviors of digital
          consumers.
        url: https://help.globalwebindex.com/en/collections/11937099-gwi-core
    Unauthorized:
      type: object
      description: Response payload for unauthorized.
      properties:
        message:
          type: string
      example:
        message: Unauthorized
    InternalServerError:
      type: object
      description: Response payload for internal server error.
      properties:
        code:
          type: integer
          description: The HTTP status code.
        message:
          type: string
          description: Generic error reason.
      example:
        code: 500
        message: There was an error processing your request. Please try again later.
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````